%macro  csbmva_fltr_meas_fact_pool(model_key       = ,time_key =  );

%local mm_ext_model_key
	   m_measure_fact_ds
       m_feed_ds_pool  m_feed_ds_rec
       temp_trans_rc   ;

%let trans_rc = 0;

*==============================================================;
* Deriving model_measure_fact dataset name ;
*==============================================================;

/*proc sql noprint;*/
/*  select source_model_master_key into :mm_ext_model_key*/
/*  from dim.analytical_model_dim*/
/*  where model_rk = &model_key;*/
/*quit;*/

%let mm_ext_model_key = &model_key;
%let m_measure_fact_ds = _&mm_ext_model_key._&time_key._pool_measure_fact;

*==============================================================;
* Calculating measures for ACTUAL sample ;
*==============================================================;
proc sql noprint;
	select model_type_cd into:model_type from &csb_apdm_libref..model_master_extension
	where model_key=&model_key.;
quit;

%let model_type =&model_type.;
%let model_type = %str(%')&model_type%str(%');
  	
  %if &model_type = &PD_APP_MODEL or &model_type = &PD_ONG_MODEL %then %do;

	%let m_feed_ds_pool = _&model_key._&time_key._binary_tgt_pool_feed;
	%let m_feed_ds_rec  = _&model_key._&time_key._binary_tgt_fact;

  %end;
  %else %if &model_type = &LGD_MODEL %then %do;
 
	%let m_feed_ds_pool = _&model_key._&time_key._cont_tgt_pool_feed;
	%let m_feed_ds_rec  = _&model_key._&time_key._continuous_tgt_fact;
  %end;
  %else %if &model_type = &CCF_MODEL %then %do;

	%let m_feed_ds_pool = _&model_key._&time_key._cont_tgt_pool_feed;
	%let m_feed_ds_rec  = _&model_key._&time_key._continuous_tgt_fact;
  %end;

  %csbmva_pool_measure_fact_act( model_key        = &model_key,time_key        = &time_key,
                                     measure_fact_lib = fdebug,measure_fact_ds =&m_measure_fact_ds ,
                                     feed_ds_record  =&m_feed_ds_rec ,
								     feed_lib         = fdebug,model_type      =&model_type,
									 insert_update_flag = I,
                                     isDevelopmentCycle = false);

  %csbmva_filter_repool_status(model_key       = &model_key         ,time_key  = &time_key,
                               update_var_nm   = meas_fact_return_cd,return_cd = &trans_rc  ,
                               status_table_nm = Fdebug.filter_pool_run_status);


%mend csbmva_fltr_meas_fact_pool;

 
